library simproktools;

import 'package:simprokmachine/simprokmachine.dart';

class JustMachine<Input, Output> extends ChildMachine<Input, Output> {
  final Output _value;

  JustMachine({required Output value}) : _value = value;

  @override
  void render(Input input, Handler<Output> callback) {
    callback(_value);
  }
}