library simproktools;

import 'package:simprokmachine/simprokmachine.dart';

class SingleMachine<Input, Output> extends ChildMachine<Input, Output> {
  bool _isSent = false;
  final Output _value;

  SingleMachine({required Output value}) : _value = value;

  @override
  void render(Input input, Handler<Output> callback) {
    if (!_isSent) {
      _isSent = true;
      callback(_value);
    }
  }
}